| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions
jcmarker.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_marker_writer

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_marker_writer * | my_marker_ptr

## Enumerations
enum | JPEG_MARKER { M_SOF0 = 0xc0, M_SOF1 = 0xc1, M_SOF2 = 0xc2, M_SOF3 = 0xc3, M_SOF5 = 0xc5, M_SOF6 = 0xc6, M_SOF7 = 0xc7, M_JPG = 0xc8, M_SOF9 = 0xc9, M_SOF10 = 0xca, M_SOF11 = 0xcb, M_SOF13 = 0xcd, M_SOF14 = 0xce, M_SOF15 = 0xcf, M_DHT = 0xc4, M_DAC = 0xcc, M_RST0 = 0xd0, M_RST1 = 0xd1, M_RST2 = 0xd2, M_RST3 = 0xd3, M_RST4 = 0xd4, M_RST5 = 0xd5, M_RST6 = 0xd6, M_RST7 = 0xd7, M_SOI = 0xd8, M_EOI = 0xd9, M_SOS = 0xda, M_DQT = 0xdb, M_DNL = 0xdc, M_DRI = 0xdd, M_DHP = 0xde, M_EXP = 0xdf, M_APP0 = 0xe0, M_APP1 = 0xe1, M_APP2 = 0xe2, M_APP3 = 0xe3, M_APP4 = 0xe4, M_APP5 = 0xe5, M_APP6 = 0xe6, M_APP7 = 0xe7, M_APP8 = 0xe8, M_APP9 = 0xe9, M_APP10 = 0xea, M_APP11 = 0xeb, M_APP12 = 0xec, M_APP13 = 0xed, M_APP14 = 0xee, M_APP15 = 0xef, M_JPG0 = 0xf0, M_JPG13 = 0xfd, M_COM = 0xfe, M_TEM = 0x01, M_ERROR = 0x100, M_SOF0 = 0xc0, M_SOF1 = 0xc1, M_SOF2 = 0xc2, M_SOF3 = 0xc3, M_SOF5 = 0xc5, M_SOF6 = 0xc6, M_SOF7 = 0xc7, M_JPG = 0xc8, M_SOF9 = 0xc9, M_SOF10 = 0xca, M_SOF11 = 0xcb, M_SOF13 = 0xcd, M_SOF14 = 0xce, M_SOF15 = 0xcf, M_DHT = 0xc4, M_DAC = 0xcc, M_RST0 = 0xd0, M_RST1 = 0xd1, M_RST2 = 0xd2, M_RST3 = 0xd3, M_RST4 = 0xd4, M_RST5 = 0xd5, M_RST6 = 0xd6, M_RST7 = 0xd7, M_SOI = 0xd8, M_EOI = 0xd9, M_SOS = 0xda, M_DQT = 0xdb, M_DNL = 0xdc, M_DRI = 0xdd, M_DHP = 0xde, M_EXP = 0xdf, M_APP0 = 0xe0, M_APP1 = 0xe1, M_APP2 = 0xe2, M_APP3 = 0xe3, M_APP4 = 0xe4, M_APP5 = 0xe5, M_APP6 = 0xe6, M_APP7 = 0xe7, M_APP8 = 0xe8, M_APP9 = 0xe9, M_APP10 = 0xea, M_APP11 = 0xeb, M_APP12 = 0xec, M_APP13 = 0xed, M_APP14 = 0xee, M_APP15 = 0xef, M_JPG0 = 0xf0, M_JPG13 = 0xfd, M_COM = 0xfe, M_TEM = 0x01, M_ERROR = 0x100 }

## Functions
| emit_byte (j_compress_ptr cinfo, int val)
| emit_marker (j_compress_ptr cinfo, JPEG_MARKER mark)
| emit_2bytes (j_compress_ptr cinfo, int value)
| emit_dqt (j_compress_ptr cinfo, int index)
| emit_dht (j_compress_ptr cinfo, int index, boolean is_ac)
| emit_dac (j_compress_ptr cinfo)
| emit_dri (j_compress_ptr cinfo)
| emit_sof (j_compress_ptr cinfo, JPEG_MARKER code)
| emit_sos (j_compress_ptr cinfo)
| emit_jfif_app0 (j_compress_ptr cinfo)
| emit_adobe_app14 (j_compress_ptr cinfo)
| write_marker_header (j_compress_ptr cinfo, int marker, unsigned int datalen)
| write_marker_byte (j_compress_ptr cinfo, int val)
| write_file_header (j_compress_ptr cinfo)
| write_frame_header (j_compress_ptr cinfo)
| write_scan_header (j_compress_ptr cinfo)
| write_file_trailer (j_compress_ptr cinfo)
| write_tables_only (j_compress_ptr cinfo)
| jinit_marker_writer (j_compress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 11 of file jcmarker.c.

## Typedef Documentation

typedef my_marker_writer* my_marker_ptr

Definition at line 92 of file jcmarker.c.

## Enumeration Type Documentation

enum JPEG_MARKER

Enumerator
M_SOF0 |
M_SOF1 |
M_SOF2 |
M_SOF3 |
M_SOF5 |
M_SOF6 |
M_SOF7 |
M_JPG |
M_SOF9 |
M_SOF10 |
M_SOF11 |
M_SOF13 |
M_SOF14 |
M_SOF15 |
M_DHT |
M_DAC |
M_RST0 |
M_RST1 |
M_RST2 |
M_RST3 |
M_RST4 |
M_RST5 |
M_RST6 |
M_RST7 |
M_SOI |
M_EOI |
M_SOS |
M_DQT |
M_DNL |
M_DRI |
M_DHP |
M_EXP |
M_APP0 |
M_APP1 |
M_APP2 |
M_APP3 |
M_APP4 |
M_APP5 |
M_APP6 |
M_APP7 |
M_APP8 |
M_APP9 |
M_APP10 |
M_APP11 |
M_APP12 |
M_APP13 |
M_APP14 |
M_APP15 |
M_JPG0 |
M_JPG13 |
M_COM |
M_TEM |
M_ERROR |
M_SOF0 |
M_SOF1 |
M_SOF2 |
M_SOF3 |
M_SOF5 |
M_SOF6 |
M_SOF7 |
M_JPG |
M_SOF9 |
M_SOF10 |
M_SOF11 |
M_SOF13 |
M_SOF14 |
M_SOF15 |
M_DHT |
M_DAC |
M_RST0 |
M_RST1 |
M_RST2 |
M_RST3 |
M_RST4 |
M_RST5 |
M_RST6 |
M_RST7 |
M_SOI |
M_EOI |
M_SOS |
M_DQT |
M_DNL |
M_DRI |
M_DHP |
M_EXP |
M_APP0 |
M_APP1 |
M_APP2 |
M_APP3 |
M_APP4 |
M_APP5 |
M_APP6 |
M_APP7 |
M_APP8 |
M_APP9 |
M_APP10 |
M_APP11 |
M_APP12 |
M_APP13 |
M_APP14 |
M_APP15 |
M_JPG0 |
M_JPG13 |
M_COM |
M_TEM |
M_ERROR |

Definition at line 16 of file jcmarker.c.

## Function Documentation

emit_2bytes | ( | j_compress_ptr | cinfo,
|  | int | value
| ) |  |

Definition at line 131 of file jcmarker.c.

emit_adobe_app14 | ( | j_compress_ptr | cinfo | ) |

Definition at line 384 of file jcmarker.c.

emit_byte | ( | j_compress_ptr | cinfo,
|  | int | val
| ) |  |

Definition at line 108 of file jcmarker.c.

emit_dac | ( | j_compress_ptr | cinfo | ) |

Definition at line 222 of file jcmarker.c.

emit_dht | ( | j_compress_ptr | cinfo,
|  | int | index,
|  | boolean | is_ac
| ) |  |

Definition at line 184 of file jcmarker.c.

emit_dqt | ( | j_compress_ptr | cinfo,
|  | int | index
| ) |  |

Definition at line 144 of file jcmarker.c.

emit_dri | ( | j_compress_ptr | cinfo | ) |

Definition at line 265 of file jcmarker.c.

emit_jfif_app0 | ( | j_compress_ptr | cinfo | ) |

Definition at line 349 of file jcmarker.c.

emit_marker | ( | j_compress_ptr | cinfo,
|  | JPEG_MARKER | mark
| ) |  |

Definition at line 122 of file jcmarker.c.

emit_sof | ( | j_compress_ptr | cinfo,
|  | JPEG_MARKER | code
| ) |  |

Definition at line 277 of file jcmarker.c.

emit_sos | ( | j_compress_ptr | cinfo | ) |

Definition at line 308 of file jcmarker.c.

jinit_marker_writer | ( | j_compress_ptr | cinfo | ) |

Definition at line 645 of file jcmarker.c.

write_file_header | ( | j_compress_ptr | cinfo | ) |

Definition at line 469 of file jcmarker.c.

write_file_trailer | ( | j_compress_ptr | cinfo | ) |

Definition at line 602 of file jcmarker.c.

write_frame_header | ( | j_compress_ptr | cinfo | ) |

Definition at line 494 of file jcmarker.c.

write_marker_byte | ( | j_compress_ptr | cinfo,
|  | int | val
| ) |  |

Definition at line 450 of file jcmarker.c.

write_marker_header | ( | j_compress_ptr | cinfo,
|  | int | marker,
|  | unsigned int | datalen
| ) |  |

Definition at line 438 of file jcmarker.c.

write_scan_header | ( | j_compress_ptr | cinfo | ) |

Definition at line 551 of file jcmarker.c.

write_tables_only | ( | j_compress_ptr | cinfo | ) |

Definition at line 616 of file jcmarker.c.